leboncoin Locations Search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-leboncoin-locations-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "Bordeaux",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-leboncoin-locations-search"
payload = {
"keyword": "Bordeaux",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'Bordeaux', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-leboncoin-locations-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "leboncoin_locations_search",
"keyword": "Bordeaux",
"max_items": 2,
"start_page": 1,
"human": "# leboncoin locations search\n\n- **Search term:** Bordeaux\n- **Max items:** 2\n- **Starting page:** 1\n- **Records returned:** 1\n- **Proxy traffic:** 7.6 KB",
"machine": {
"total_items": 1,
"items": [
{
"@type": "LeboncoinLocation",
"location_type": "city",
"label": "Bordeaux (33000)",
"city": "Bordeaux",
"district": null,
"zipcode": "33000",
"department_id": "33",
"region_id": "2",
"lat": 44.8367,
"lng": -0.58105,
"radius": null
}
],
"response_bytes": 7750
},
"total_points": 1
}E-commerce & Marketplaces
leboncoin Locations Search
Resolve a French place name or postcode into leboncoin location objects: label, city, zipcode, department/region id and coordinates. 1 point per returned record.
POST
/
functions
/
v1
/
run-leboncoin-locations-search
leboncoin Locations Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.